package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag101;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.mt1XXAbsCreator.MT101AbsCreator;

public class Tag33BCreator extends AbsTagCreate {
    private MT101AbsCreator MT101AbsCreator;

    public Tag33BCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        MT101AbsCreator = (MT101AbsCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag33BValue = MT101AbsCreator.getCurrencyOriginalOrderedAmount();
        MT101AbsCreator.set("33B", tag33BValue);
    }
}
